com.qualcomm.robotcore.hardware

## Class PwmControl.PwmRange

- java.lang.Object
- - com.qualcomm.robotcore.hardware.PwmControl.PwmRange

- Enclosing interface:
    PwmControl

      public static class PwmControl.PwmRange
      extends java.lang.Object

  PwmRange instances are used to specify the upper and lower pulse widths and overall framing rate for a servo.
  See Also:
    Guide to PWM and PPM, HS-485HB servo information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PwmControl.PwmRange` | `defaultRange` defaultRange is the default PWM range used
    `double` | `usFrame` usFrame is the rate, in microseconds, at which the PWM is transmitted.
    `static double` | `usFrameDefault` usFrameDefault is the default frame rate used, in microseconds
    `double` | `usPulseLower` usPulseLower is the minimum PWM rate used, in microseconds.
    `static double` | `usPulseLowerDefault`
    `double` | `usPulseUpper` usPulseLower is the maximum PWM rate used, in microseconds.
    `static double` | `usPulseUpperDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwmRange(double usPulseLower, double usPulseUpper)` Creates a new PwmRange with the indicated lower and upper bounds and the default framing rate.
    `PwmRange(double usPulseLower, double usPulseUpper, double usFrame)` Creates a new PwmRange with the indicated lower and upper bounds and the specified framing rate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### usFrameDefault

          public static final double usFrameDefault

      usFrameDefault is the default frame rate used, in microseconds
      See Also:
        Constant Field Values

    - #### usPulseUpperDefault

          public static final double usPulseUpperDefault

      See Also:
        Constant Field Values

    - #### usPulseLowerDefault

          public static final double usPulseLowerDefault

      See Also:
        Constant Field Values

    - #### defaultRange

          public static final PwmControl.PwmRange defaultRange

      defaultRange is the default PWM range used

    - #### usPulseLower

          public final double usPulseLower

      usPulseLower is the minimum PWM rate used, in microseconds. This corresponds to a servo position of 0.0.

    - #### usPulseUpper

          public final double usPulseUpper

      usPulseLower is the maximum PWM rate used, in microseconds. This corresponds to a servo position of 1.0.

    - #### usFrame

          public final double usFrame

      usFrame is the rate, in microseconds, at which the PWM is transmitted.

  - ### Constructor Detail

    - #### PwmRange

          public PwmRange(double usPulseLower,
                          double usPulseUpper)

      Creates a new PwmRange with the indicated lower and upper bounds and the default framing rate.
      Parameters:
        `usPulseLower` - the minimum PWM rate used, in microsecond
        `usPulseUpper` - the maximum PWM rate used, in microseconds

    - #### PwmRange

          public PwmRange(double usPulseLower,
                          double usPulseUpper,
                          double usFrame)

      Creates a new PwmRange with the indicated lower and upper bounds and the specified framing rate.
      Parameters:
        `usPulseLower` - the minimum PWM rate used, in microsecond
        `usPulseUpper` - the maximum PWM rate used, in microseconds
        `usFrame` - the framing rate, in microseconds

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`